# API get detail transaction

* **Purpose**: This is the API used to get detail collection transaction.
* **API**:
  * Path: ***v2/col/transactions/:transId***
  * Method: ***GET***
  * Request: Content-Type: ***application/json***

### **Request Parameter**

<table><thead><tr><th width="239">Parameter</th><th width="124">Data Type</th><th width="101">Required</th><th>Description</th></tr></thead><tbody><tr><td>transId</td><td>String</td><td>Y</td><td>ID of Collection transaction returned from transaction management webhook</td></tr></tbody></table>

### **Response Data**

| Parameter     | Data Type | Description                                                             |
| ------------- | --------- | ----------------------------------------------------------------------- |
| code          | Number    | Error code, refer to [table of error codes](#../error-codes.md).        |
| message       | String    | Error description.                                                      |
| data          | Object    | Refer to [GetDetailTransactionResponse](#getdetailtransactionresponse). |
| neoResponseId | String    | The ID of NeoX response.                                                |

#### GetDetailTransactionResponse

<table><thead><tr><th width="187.33333333333331">Parameter</th><th width="127">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>merchantCode</td><td>String</td><td>Merchant Code</td></tr><tr><td>transId</td><td>String</td><td>The ID of transaction.</td></tr><tr><td>transDate</td><td>Datetime String (ISO 8601)</td><td>The date and time of transaction.</td></tr><tr><td>virtualAccountRequestId</td><td>String</td><td>The ID of seller/business is provided by merchant.</td></tr><tr><td>virtualAccountId</td><td>String</td><td>Virtual Account number.</td></tr><tr><td>accountName</td><td>String</td><td>Virtual Account name.</td></tr><tr><td>amount</td><td>String</td><td>The amount of collection transaction.</td></tr><tr><td>fee</td><td>String</td><td>Collection transaction fee caculated by NeoX.</td></tr><tr><td>refundedAmount</td><td>String</td><td>Total refunded amount of collection transaction.</td></tr><tr><td>status</td><td>String</td><td>Transaction status.</td></tr><tr><td>reconcileStatus</td><td>String</td><td>Transaction reconcile status, Include:<br>WAITING_UPLOAD: Documents for transaction were not uploaded, waiting for upload<br>UPLOADED: Documents for transaction were uploaded, waiting for verifying<br>APPROVED: Transaction documents were verified<br>REJECTED: Transaction documents were verified has been rejected.<br>RECONCILED: Transaction was reconconciled<br>SETTLED: Transaction was settled</td></tr><tr><td>payoutStatus</td><td>String</td><td>Transaction payout status, Include:<br>READY: Transaction was settled and ready for Remitout (Appear when reconcileStatus change to "SETTLED").<br>PROCESSING: Remitout/Payout request is processing.<br>REJECTED: Remitout/Payout request has been rejected.<br>SUCCESS: Remitout/Payout request has success.</td></tr><tr><td>serviceInfomation</td><td>Object</td><td>Refer to <a href="https://github.com/neopayvn/neox-gitbook-documents-v2/blob/main/collections/integration/transactions/api-upload-kyc-file.md#uploadfileresponse">ServiceInformationData.</a></td></tr><tr><td>debitorInformation</td><td>Object</td><td>Refer to <a href="https://github.com/neopayvn/neox-gitbook-documents-v2/blob/main/collections/integration/transactions/api-upload-kyc-file.md#uploadfileresponse">DebitorInformationData.</a></td></tr><tr><td>Note</td><td>String</td><td>Note for current collection transaction.</td></tr><tr><td>createdAt</td><td>Datetime String (ISO 8601)</td><td>Record created time</td></tr><tr><td>updatedAt</td><td>Datetime String (ISO 8601)</td><td>Record last updated time</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neox.vn/docs/global/collections/integration/transactions/get-detail-transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
